Name:           juicefs
Version:        1.1.2
Release:        1%{?dist}
Summary:        A distributed POSIX file system built on top of Redis and S3.

License:        Apache-2.0
URL:            https://juicefs.com
Source0:        https://github.com/juicedata/%{name}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  golang-bin
BuildRequires:  git

Requires:       fuse

%description
JuiceFS is a high-performance POSIX file system released under Apache License 2.0,
particularly designed for the cloud-native environment. The data, stored via JuiceFS,
will be persisted in object storage (e.g. Amazon S3), and the corresponding metadata
can be persisted in various database engines such as Redis, MySQL, and TiKV based on
the scenarios and requirements.

With JuiceFS, massive cloud storage can be directly connected to big data,
machine learning, artificial intelligence, and various application platforms in production
environments. Without modifying code, the massive cloud storage can be used as efficiently
as local storage.

 * Fully POSIX-compatible: Use as a local file system, seamlessly docking with existing
   applications without breaking business workflow.
 * Fully Hadoop-compatible: JuiceFS' Hadoop Java SDK is compatible with Hadoop 2.x and
   Hadoop 3.x as well as a variety of components in the Hadoop ecosystems.
 * S3-compatible: JuiceFS' S3 Gateway provides an S3-compatible interface.
 * Cloud Native: A Kubernetes CSI Driver is provided for easily using JuiceFS in Kubernetes.
 * Shareable: JuiceFS is a shared file storage that can be read and written by thousands
   of clients.
 * Strong Consistency: The confirmed modification will be immediately visible on all the
   servers mounted with the same file system.
 * Outstanding Performance: The latency can be as low as a few milliseconds, and the
   throughput can be expanded nearly unlimitedly (depending on the size of the object
   storage).
 * Data Encryption: Supports data encryption in transit and at rest.
 * Global File Locks: JuiceFS supports both BSD locks (flock) and POSIX record locks (fcntl).
 * Data Compression: JuiceFS supports LZ4 or Zstandard to compress all your data.


%global debug_package %{nil}

%prep
%autosetup

%build
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 %{name} %{buildroot}/%{_bindir}/%{name}


%files
%{_bindir}/%{name}
%license LICENSE


%changelog
* Tue Feb 6 2024 Herald Yu <herald@juicedata.io> - 1.1.2-1
- Build(deps): bump golang.org/x/crypto from 0.14.0 to 0.17.0 (#4287)
- cmd/sync: fix the issue that name of the temporary file may be too long (#4215)
- cmd/sync: fix the issue that password of source is not removed (#4390)
- cmd/sync: fix symlink when using jfs:// schema (#4286)
- cmd/bench: fix the issue that the final result of progress bar is not correct (#4388)
- meta: trigger compaction more aggresively when there are too many slices (#4309)
- meta: fix the issue that truncated slices may never be compacted (#4320)
- meta/redis: use TxPipelined() instead of Pipelined() (#4264)
- object: fix the issue that sometimes checksum is not verified (#4213)
- object/obs: don't decode the object key in list result (#4331)
- object/cos: fix multipart upload with long key (#4258)
- object/ceph: fix the issue that list with many threads may panic (#4216)
- hadoop: fix guid update (#4299)
- windows: fix the issue that truncate may return syscall.EBADF (#4238)